﻿using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using Syncfusion.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript.Models;
using System.Web.Script.Serialization;
using System.Reflection;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using Syncfusion.JavaScript;
using System.Drawing;
using MvcApplication66.Models;

namespace MvcApplication66.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var db = new NorthwindDataContext();
            ViewBag.datasource = db.EmployeeViews;
            return View();
        }
        public ActionResult UrlUpdate(Order value)
        {
            var db = new NorthwindDataContext();
            Order order = db.Orders.Where(ord => ord.OrderID == value.OrderID).FirstOrDefault();
            order.EmployeeID = value.EmployeeID;
            order.CustomerID = value.CustomerID;
            order.Freight = value.Freight;
            order.OrderDate = value.OrderDate;
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        public ActionResult UrlInsert(Order value)
        {
            var db = new NorthwindDataContext();
            db.Orders.InsertOnSubmit(value);
            return Json(value, JsonRequestBehavior.AllowGet);
        }
        public ActionResult UrlDelete(int key)
        {
            var db = new NorthwindDataContext();
            Order order = db.Orders.Where(or => or.OrderID == key).FirstOrDefault();
            db.Orders.DeleteOnSubmit(order);
            return Json(order, JsonRequestBehavior.AllowGet);
        }
    }
    class Employees
    {
        public int EmployeeID { get; set; }
        public string FirstName { get; set; }
    }
}